<template>
  <div>
    <BaseDialog
      width="700px"
      :isShow.sync="isShow"
      title="退款审核"
      @close="close"
      @submit="submitForm"
      :appendToBody="true"
      :confirmStatus="false"
    >
      <el-timeline>
        <el-timeline-item
          v-for="(item, index) in checkLogVos"
          :timestamp="$methodsTools.onlyForma(item.checkTime)"
          placement="top"
          :color="
            item.checkSign === 1
              ? '#409EFF'
              : item.checkStatus === 1
              ? '#67C23A'
              : item.checkStatus === -1
              ? '#F56C6C'
              : '#e4e4e4'
          "
        >
          <el-card>
            <h4>负责人：{{ item.roleName }}</h4>
            <p>
              审核状态：{{
                item.checkStatus === 0
                  ? "待审核"
                  : item.checkStatus === 1
                  ? "已通过"
                  : item.checkStatus === -1
                  ? "未通过"
                  : ""
              }}
            </p>
            <p>审核意见：{{ item.checkReason }}</p>
          </el-card>
        </el-timeline-item>
      </el-timeline>
    </BaseDialog>
  </div>
</template>

<script>
export default {
  // name: "DislogSet",
  props: {
    auditProgress: {
      type: Boolean,
      default: false,
    },
    checkLogVos: {
      type: Array,
      default: () => {
        return [];
      },
    },
  },
  data() {
    return {
      active: 2,
    };
  },

  mounted() {},

  methods: {
    init() {
      console.log(this.checkLogVos, "checkLogVos");
    },
    close() {},
    submitForm() {
      this.isShow = false;
    },
  },
  computed: {
    isShow: {
      get() {
        if (this.auditProgress) {
          this.init();
        }
        return this.auditProgress;
      },
      set(val) {
        this.$emit("update:auditProgress", false);
      },
    },
  },
};
</script>

<style lang="scss" scoped>
.el-timeline {
  padding: 0px 6px;
  max-height: 600px;
  overflow: auto;
}
</style>
